#version 430 core
/*
* Copyright 2018 Vienna University of Technology.
* Institute of Computer Graphics and Algorithms.
* This file is part of the ECG Lab Framework and must not be redistributed.
*/

in VertexData {
	vec3 position_world;
	vec3 normal_world;
	vec2 uv;
} vert;

layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 BrightColor;

uniform sampler2D diffuseTexture;

uniform vec3 lightColor;

void main()
{           
	vec3 color = texture(diffuseTexture, vert.uv).rgb;
    //float brightness = dot(color, vec3(0.2126, 0.7152, 0.0722));
    //if(brightness < 5.0)
        BrightColor = vec4(10.0, 0.0, 0.0, 1.0);
	//else
		//BrightColor = vec4(0.0, 0.0, 0.0, 1.0);

	FragColor = vec4(10.0, 0.0, 0.0, 1.0);
}

